# Get Thing ICCID using IMSI

## Get Thing ICCID using IMSI

<mark style="color:blue;">`GET`</mark> `https://console.monogoto.io/mobilesubscriber/{IMSI_NUMBER}/`

#### Path Parameters

| Name         | Type   | Description          |
| ------------ | ------ | -------------------- |
| IMSI\_NUMBER | String | The IMSI of your SIM |

#### Headers

| Name        | Type   | Description               |
| ----------- | ------ | ------------------------- |
| TOKEN\_HERE | String | Your authentication token |

### Example using **cURL**:

```bash
curl -X GET \
    --url "https://console.monogoto.io/mobilesubscriber/{IMSI_NUMBER}/" \
    -H "accept: application/json" \
    -H "Authorization: Bearer {TOKEN_HERE}"
```

{% hint style="info" %}
Add your **IMSI\_NUMBER** and **Token** in the GET request to successfully obtain the Thing info.
{% endhint %}

Example of request:

```bash
curl -X GET \
    --url "https://console.monogoto.io/mobilesubscriber/123456789101112/" \
    -H "accept: application/json" \
    -H "Authorization: Bearer eyJhb6IkpXVCJ9.eyJSb2xlIjoiVXN4lclByb2ZpbGVJZF9kZGM2MThhNC0wNTI1LTQ2MmUtYWN3NzhhMGQxYmbSI6Im4zgFkbWluIiwiQ3VzdG9tsbCwiVXNlcklkIjoiVklkXzg5Yj5Y2OGEyUtNDQThhLTEzZjA0MzJhZDE3YyINTAzgZmUtZGI51My00ZjRiLTktN2U5Yjc0ZWU1ZThlIiwiaWNzM3MjI5L2MDY3NTE2Mjl9.99aSLzP7kTgK6TZGW-xalrMu0GkW6viunt3XxbNng"
```

Example of received result showing ICCID number:

```json
{
  "BatchId": "Tutorial SIM",
  "BillingState": "NEVER",
  "BillingStateLastUpdatedMonth": 1649770113950,
  "Block": {
    "Data": false,
    "LTEData": false,
    "Voice_MO": false,
    "Voice_MT": false,
    "SMS_MO": false,
    "SMS_MT": false,
    "Voice_International": false,
    "Voice_International_Exc_Home": false,
    "Supplementary_Services": false,
    "SMS_MO_except_home_country": false,
    "Voice_Premium": false
  },
  "CreatedBy": "UserId_9sd6f07-22k9-4z9c-v6g1-c9d999hz44",
  "CurrentCountry": null,
  "CustomerId": "cid_c256463da-742-491b-911b-8850177ef5121",
  "DateAssignedToCustomer": null,
  "DateCreated": 1581239454231,
  "DateModified": 1649763719363,
  "ExternalBatchId": "Tutorial SIM",
  "IMSI": "123456789101112",
  "LastActivationDate": 1649661968873,
  "LastLocationUpdateTime": null,
  "Latitude": null,
  "LocationICCID": "ThingId_ICCID_8912372646888991",
  "Longitude": null,
  "MSC": null,
  "MobileSubscriberType": "Regular",
  "NetworkProviderId": "NetworkProviderId_09ba9s6f-afga-499d-afsd-6bd5161sd56g2",
  "OrganizationId": "OrganizationId_23156asfd-d1651as9-4699-accc-1eas5f16asb01a",
  "OtaRequestId": null,
  "PIN1": "1234",
  "PIN2": "1234",
  "PUK1": "12345678",
  "PUK2": "12345678",
  "PlmnList": [],
  "PricePlanInnerId": "InnerId_a264asfc5d-fc52-4ab9-8995-34516asf6a6",
  "RoamingPolicyId": null,
  "RoamingRestrictions": [],
  "SetPLMNByOTAState": "INHERITS",
  "ShouldOverrideCallForward": false,
  "State": "ACTIVE",
  "Status": "Serving",
  "SubProfId": "SubProfId_546sf6hf-c99c-459a-a92a-551569fasfa",
  "ThingId": "ThingId_ICCID_8912372646888991",
  "Type": "MobileSubscriber",
  "VcsAccountId": null,
  "WelcomeSMSState": "INHERITS",
  "CellId": 123,
  "Lac": 456,
  "cas": "164975648941393888",
  "UsedPricePlanInnerId": "InnerId_a2564asf5d-f6a-4949-8995-389twwgs921fa6",
  "ActualUsage": {
    "MO_SMS_CDR_": 0,
    "Data_": 127021140,
    "Voice_": 0,
    "Alarm": 0
  }
}
```

{% openapi src="/files/lqgrtNg1pOcbxIdacwgh" path="/mobilesubscriber/{IMSI}/" method="get" %}
[JPU\_CustomerAPIV\_Without\_Test it.yaml](https://3922449203-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M0mPxGpottOEfcucXOR%2Fuploads%2FXtNpEMk17YOUrC39Cmvr%2FJPU_CustomerAPIV_Without_Test%20it.yaml?alt=media\&token=09b74b38-dd09-4edc-8f98-4df792b3c986)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monogoto.io/developer/api/things/get-thing-iccid-using-imsi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
